Page MenuHomeFreeBSD

md5: Fix GNU check mode.
ClosedPublic

Authored by des on Feb 20 2024, 5:30 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 14, 2:35 AM
Unknown Object (File)
Sun, Jun 2, 10:02 PM
Unknown Object (File)
Thu, May 30, 8:07 AM
Unknown Object (File)
Fri, May 24, 2:19 PM
Unknown Object (File)
May 16 2024, 10:40 PM
Unknown Object (File)
May 12 2024, 11:16 PM
Unknown Object (File)
May 12 2024, 6:56 PM
Unknown Object (File)
May 8 2024, 12:28 PM

Details

Summary

Fixes: 9b20849bc5f1b500f2de7aeca77f0e6556069bbb
MFC after: 1 week
Sponsored by: Klara, Inc.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

des requested review of this revision.Feb 20 2024, 5:30 PM

I'd explain a little bit more what was broken. Looks like maybe it was checking for a verbatim match before peeling off the special character, but I'm not sure.

This revision is now accepted and ready to land.Feb 20 2024, 5:50 PM
markj added inline comments.
sbin/md5/md5.c
374

Should this be rec->input_mode = input_mode?

620

Not necessary for this diff, but IMO it'd be better to pass these as parameters to MDInput() and MDOutput() rather than switching the global value like this.

des marked 2 inline comments as done.

like markj said

This revision now requires review to proceed.Feb 20 2024, 6:12 PM
sbin/md5/md5.c
374

I guess that makes more sense.

620

I'm just fixing what's broken...

This revision is now accepted and ready to land.Feb 20 2024, 6:14 PM
In D43990#1003525, @imp wrote:

I'd explain a little bit more what was broken. Looks like maybe it was checking for a verbatim match before peeling off the special character, but I'm not sure.

It was discarding the input mode.

This revision was automatically updated to reflect the committed changes.

The manpage states:

Note that this implementation does not differentiate between binary and text mode.

The manpage states:

Note that this implementation does not differentiate between binary and text mode.

Correct. It still differentiates between binary / text, universal, and bits.